Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ResolvableDependencies

    public interface ResolvableDependencies

A set of `Dependency` objects which can be resolved to a set of `File` instances.

Method Summary
`void` | `afterResolve(Action<? super ResolvableDependencies> action)` Adds an action to be executed after the dependencies of this set have been resolved.
`void` | `afterResolve(Closure action)` Adds an action to be executed after the dependencies of this set have been resolved.
`void` | `beforeResolve(Action<? super ResolvableDependencies> action)` Adds an action to be executed before the dependencies in this set are resolved.
`void` | `beforeResolve(Closure action)` Adds an action to be executed before the dependencies in this set are resolved.
`DependencySet` | `getDependencies()` Returns the set of dependencies which will be resolved.
`FileCollection` | `getFiles()` Returns a `FileCollection` which contains the resolved set of files.
`String` | `getName()` Returns the name of this set.
`String` | `getPath()` Returns the path of this set.

Method Detail

### getName

    String getName()

  Returns the name of this set.

  Returns:
    The name. Never null.

### getPath

    String getPath()

  Returns the path of this set. This is a unique identifier for this set.

  Returns:
    The path. Never null.

### getFiles

    FileCollection getFiles()

  Returns a `FileCollection` which contains the resolved set of files. The returned value is lazy, so dependency resolution is not performed until the contents of the collection are queried.

  Returns:
    The collection. Never null.

### getDependencies

    DependencySet getDependencies()

  Returns the set of dependencies which will be resolved.

  Returns:
    the dependencies. Never null.

### beforeResolve

    void beforeResolve(Action<? super ResolvableDependencies> action)

  Adds an action to be executed before the dependencies in this set are resolved.

  Parameters:
    `action` - The action to execute.

### beforeResolve

    void beforeResolve(Closure action)

  Adds an action to be executed before the dependencies in this set are resolved.

  Parameters:
    `action` - The action to execute.

### afterResolve

    void afterResolve(Action<? super ResolvableDependencies> action)

  Adds an action to be executed after the dependencies of this set have been resolved.

  Parameters:
    `action` - The action to execute.

### afterResolve

    void afterResolve(Closure action)

  Adds an action to be executed after the dependencies of this set have been resolved.

  Parameters:
    `action` - The action to execute.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD